<?php
$t = 'Регистрация';
require_once 'wcore/core.php';
require_once 'wcore/head.php';

if(isset($ank)){go('/');}
if(isset($_POST['wcore'])){
    $login = antixs($_POST['login']);
    $password = antixs($_POST['password']);
    $password2 = antixs($_POST['password2']);
    $email = antixs($_POST['email']);
    $reg = date("Y-m-d H:i:s");
    $ip = $_SERVER['REMOTE_ADDR'];
    if (empty($_POST['login']) || empty($_POST['password']) || empty($_POST['password2']) || empty($_POST['email'])){$_SESSION['error'] = $ed . 'Необходимо заполнить все поля' . $_ed;go('/reg.php');exit();}
    if (strlen($_POST['login']) < 4) {$_SESSION['error'] = $ed . 'Логин слишком короткий' . $_ed;go('/reg.php');exit();}
    if (strlen($_POST['login']) > 24) {$_SESSION['error'] = $ed . 'Логин слишком длинный' . $_ed;go('/reg.php');exit();}
    if(!preg_match("#^([A-z0-9\_])+$#ui", $_POST['login'])) {$_SESSION['error'] = $ed . 'Обнаружены запрещенные символы в логине' . $_ed;go('/reg.php');exit();}
    if (strlen($_POST['password']) < 6) {$_SESSION['error'] = $ed . 'Пароль слишком короткий' . $_ed;go('/reg.php');exit();}
    if (strlen($_POST['password']) > 32) {$_SESSION['error'] = $ed . 'Пароль слишком длинный' . $_ed;go('/reg.php');exit();}
    if ($password != $password2){$_SESSION['error'] = $ed . 'Пароли не совпадают' . $_ed;go('/reg.php');exit();}
    $sql = mysqli_query($mysqli,"SELECT `id` FROM `users` WHERE `login` = '". $login ."' LIMIT 1");
	if (mysqli_num_rows($sql) == 1) {$_SESSION['error'] = $ed . 'Логин занят' . $_ed;go('/reg.php');exit();}
    if (!filter_var($_POST['email'], FILTER_VALIDATE_EMAIL)) {$_SESSION['error'] = $ed . 'E-Mail указан неверно' . $_ed;go('/reg.php');exit();}
    if($_POST['capcha'] != $_SESSION['capcha'])  {$_SESSION['error'] = $ed . 'Код с картинки введен не верно' . $_ed;go('/reg.php');exit();}
    mysqli_query($mysqli,"INSERT INTO `users`(`login`, `password`, `email`, `reg`, `ip`, `max_energy`, `energy`) VALUES ('$login','$password','$email','$reg','$ip','100','100')");
    $_SESSION['user_id'] = mysqli_insert_id($mysqli);
    $_SESSION['login'] = $login;
    $_SESSION['password'] = $password;
    setcookie('login', $login, time()+60*60*24,'/');
    setcookie('password', $password, time()+60*60*24,'/');
    go('/power.php');
    exit;
    
} else {
    echo '<div class=title><b><u>Регистрация</u></b></div> <a href="/auth.php" class=title>Авторизация</a>';
    echo '<div class="block">
        <form method="POST">
        Логин:<br>
        <input type="text" name="login" class="field"><br>
        Пароль:<br>
        <input type="password" name="password" class="field"><br>
        Подтвердить пароль:<br>
        <input type="password" name="password2" class="field"><br>
        E-Mail:<br>
        <input type="text" name="email" class="field"><br>
        Капча:<br>
        <img class="captcha" src="captcha.php" width="120" height="40"/><br/>
        <input type="text" name="capcha" class="field"><br>
        <input type="submit" class="button" name="wcore" value="Зарегистрироваться"><br>
        </form>
        </div>';
}
require_once 'wcore/foot.php';